import javax.microedition.lcdui.*;

/**
 * Statistics screen. 
 */
public class StatsScreen extends Canvas implements CommandListener
{
    private Displayable m_scr_back;
    private Storage m_storage;
    
    public StatsScreen( Displayable scr_back, Storage storage )
    {
        m_scr_back = scr_back;
        m_storage = storage;
        addCommand( new Command( "Back", Command.BACK, 1 ) );
        setCommandListener( this );
    }

    /**
     * Java command listener.
     *  
     * @param c The issued command.
     * @param d The current displayable.
     */
    public void commandAction( Command c, Displayable d )
    {
        Res.display.setCurrent( m_scr_back );
    }
    
    /**
     * The paint method.
     */
    protected void paint( Graphics g )
    {
        int w = getWidth();
        int h = getHeight();
        
        Font f = Font.getDefaultFont();
        int fh = f.getHeight();
        g.setFont( f );
        
        int y = 3;

        g.setColor( 0xffffffff );
        g.fillRect( 0, 0, w, h );
        
        g.setColor( 0xff000000 );
        g.drawString( "Statistics", 3, y, Graphics.LEFT | Graphics.TOP ); y += fh;
        y += fh;
        g.drawString( "- Completed -", 3, y, Graphics.LEFT | Graphics.TOP ); y += fh;
        g.drawString( "Easy: " + m_storage.completed[ 0 ], 3, y, Graphics.LEFT | Graphics.TOP ); y += fh;
        g.drawString( "Medium: " + m_storage.completed[ 1 ], 3, y, Graphics.LEFT | Graphics.TOP ); y += fh;
        g.drawString( "Hard: " + m_storage.completed[ 2 ], 3, y, Graphics.LEFT | Graphics.TOP ); y += fh;
    }
}
